6.0.0-git
2021-01-18

[#2036] reading binary files under Windows
Summary reading binary files under Windows
Queue Horde Base
Queue Version 3.0.4
Type Bug
State Resolved
Priority 2. Medium
Owners
Requester edul (at) isd (dot) dp (dot) ua
Created 2005-05-26 (5716 days ago)
Due
Updated 2005-05-29 (5713 days ago)
Assigned 2005-05-28 (5714 days ago)
Resolved 2005-05-28 (5714 days ago)
Milestone
Patch No

History
2005-05-29 09:41:19 edul (at) isd (dot) dp (dot) ua Comment #4 Reply to this comment
Hello Chuck,



Revision of lib/Horde/VC/svn.php file is 1.28.4.4.



I checked the lib/Horde/VC/svn.php file and made sure you're right - 
the VC_WINDOWS constant is checked in it.  So it's really an issue of 
SVN access only.



As for other "suspicious files", please get me right - I have no 
understanding of their purpose, I just found them grepping by "popen" 
pattern.  I just tried to give you the key, not beeing sure they are 
affected by the same bug.  However it was potentially possible, that's 
why I called them "suspicious".  Double-checking is better than 
ignoring, I hope you're agree.



Thank you for your prompt response for this ticket.
2005-05-28 18:36:44 Chuck Hagenbuch Comment #3
State ⇒ Resolved
Reply to this comment
Ah, it was only an issue in VC_svn - I looked at VC_cvs first since 
you didn't specify. Fixed in CVS.
2005-05-28 18:31:23 Chuck Hagenbuch Taken from Horde DevelopersHorde Developers
 
2005-05-28 18:31:13 Chuck Hagenbuch Comment #2
State ⇒ Feedback
Reply to this comment
What version are you using? We clearly check the VC_WINDOWS constant 
and use rb if we're on windows. Please specify line numbers, version 
numbers, etc.



Also, please keep tickets to a single issue. Your list of other 
"suspicious files" isn't very useful, and all of them deal with 
text/html - which shouldn't be binary - anyway.
2005-05-26 14:54:09 Jan Schneider State ⇒ Assigned
Assigned to Horde DevelopersHorde Developers
 
2005-05-26 14:49:03 edul (at) isd (dot) dp (dot) ua Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ reading binary files under Windows
Queue ⇒ Horde Base
Reply to this comment
Problem: file download in Chora fails (only part of file is 
downloaded) when Horde is installed at Windows host.



Reason: The popen() funsion is passed the "r" argument, which assumes 
text mode on Windows systems by default.  The "rb" mode should be used 
in order to fix this.



Affected files:

- lib/Horde/VC/cvs.php

- lib/Horde/VC/svn.php



Other suspicious files:

- lib/Horde/Crypt/pgp.php

- lib/Horde/MIME/Viewer/deb.php

- lib/Horde/MIME/Viewer/msexcel.php

- lib/Horde/MIME/Viewer/mspowerpoint.php

- lib/Horde/MIME/Viewer/rpm.php



The same problem can be with usage of fopen() function.

Saved Queries